### org.jfree.layouting.renderer.process

# Class ComputeBreakabilityStep

- `java.lang.Object`
- - `org.jfree.layouting.renderer.process.IterateVisualProcessStep`
  - - `org.jfree.layouting.renderer.process.ComputeBreakabilityStep`

`public class ComputeBreakabilityStep`
`extends IterateVisualProcessStep`

Computes the size of the non-breakable areas at the beginning and end of each block-level box.

Author:
  Thomas Morgner

  ## Constructor Summary

  `ComputeBreakabilityStep()`

  ## Method Summary

  `void`

  `compute(LogicalPageBox logicalPageBox)`

  `protected void`

  `finishBlockLevelBox(RenderBox box)`

  `protected void`

  `processParagraphChilds(ParagraphRenderBox box)`

  ### Methods inherited from class org.jfree.layouting.renderer.process.IterateVisualProcessStep

  `finishBlockLevelBox`, `finishInlineLevelBox`, `processBlockLevelChild`, `processBlockLevelNode`, `processBoxChilds`, `processFlow`, `processInlineLevelChild`, `processInlineLevelNode`, `processOtherLevelChild`, `processParagraphChilds`, `startBlockLevelBox`, `startInlineLevelBox`, `startProcessing`

## Constructor Details

### ComputeBreakabilityStep

    public ComputeBreakabilityStep()

## Method Details

### compute

    public void compute(LogicalPageBox logicalPageBox)

### finishBlockLevelBox

    protected void finishBlockLevelBox(RenderBox box)

> Overrides:
>   finishBlockLevelBox in interface IterateVisualProcessStep

### processParagraphChilds

    protected void processParagraphChilds(ParagraphRenderBox box)

> Overrides:
>   processParagraphChilds in interface IterateVisualProcessStep